WPML 使构建和运行多语网站变得轻松容易。 WPML 功能强大,可完全胜任企业网站,同时可轻松处理博客。

WPML 多语言插件的特点

  1. 全面性 您可以利用 WPML 翻译页面、帖子、自定义类型、分类、菜单,甚至 主题的文本。
  2. 兼容性 使用 WordPress API 的每个主题或插件均可通过 WPML 运行多语化。
  3. 可靠性 我们向 WPML 提供全面支持,帮您 按时推出完美网站。

兼容您最爱的主题、插件和页面生成器

我们与其他作者合作以确保 WPML 适于各种 主题 和 插件。 为了确保持续兼容性,我们对许多主题和插件进行自动测试。 我们检查他们或我们发布更新时没有破坏功能的新增内容。

Compatible-With-Your-Themes-and-Plugins

稳定、可靠和安全

近一百万网站使用 WPML,我们很重视稳定性和安全性。 我们在任何发布前运行全面的质量评估。 我们对各种热门插件和主题在各种 WordPress 版本上测试 WPML。 新版本到来时,您无需担心或紧张。

Stable-Reliable-and-Secure

适合多语 SEO

WPML 让您以多种语言进行个人网站的 SEO 完全优化。

  • 您可以完全控制 URL 的外观。
  • 您可为翻译设置 SEO 元信息。
  • 翻译已链接在一起。
  • 站点地图包括正确页面并通过 Google Webmasters 验证。

有了 WPML,搜索引擎可了解您的网站结构并提高各种语言的相应点击率。

Great-for-Multilingual-SEO

WPML 多语言插件的最低要求

为了运行,WPML要求如下:

  • WordPress 4.7 或以上版本
  • PHP 5.6 或以上版本,内存限制至少为 128MB,推荐 256MB。 记住,您网站所需的内存取决于您的内容、主题和所有插件。
  • MySQL 5.6 及以上版本。
  • 您可以在数据库中创建表。
  • 必须启用 WordPress REST API 才能让 WPML 正常运行。
  • Multibyte String 扩展,便于使用 WPML 字符串翻译
  • SimpleXML 扩展,便于在WPML翻译管理中使用 XLIFF 文件。
  • eval() PHP 函数必须启用。

使用早期版本的 PHP 和 MySQL

WPML 可以运行在早期版本的 PHP 和 MySQL 上,但是我们无法测试。 如果您正在使用早期版本,我们强烈建议启用 WPML 的调试模式。 这将显示任何 PHP 错误,未按照应有的方式运行时会通知您。

永久链接结构

WPML 将语言信息添加到 URL。 它已经通过以下永久链接结构进行了测试:

  • 默认
  • /%year%/%monthnum%/%postname%/

说明:

其他永久链接结构也可以工作运行,但在不同的配置上可能会产生问题。 在我们所有的网站上,我们都在使用 /%year%/%monthnum%/%postname%/.

对于页面,您将获得与 /%postname%/ 相同的 URL。 然而,使用这种永久链接结构,WordPress 不可能在页面和帖子之间混淆,从而引发语言解析的潜在问题。

eval() 函数的用法

必须启用 eval() 函数,因为WPML的结构和模板使用了 TWIG 框架,这使得 WPML 可以依靠这个函数。

大多数流行的模板引擎,如 Smarty TWIG,都发现将 PHP 代码写入文件更快。 通过这种方式,它可以利用 OPcode(操作码)缓存,并避免需要运行时构建模板代码。

为了避免可能的攻击,TWIG 进行了大量的检查和消毒,可安全使用 WPML。 然而,我们不能保证其他开发人员也进行了与我们在质量保证过程中所做的相同检查。

我们仍然在研究一些可能的解决方案,这些解决方案不需要动态编译模板,并且不需要使用 eval() 函数。 然而,目前,这是最好的解决方案。

请注意,通常PHP中不能禁用 eval() 函数,但 Suhosin 等一些扩展可以这样做。 这些扩展可以由您的主机提供商安装和配置。

WPML 多语言插件下载地址

前往 百度网盘 下载 >> (提取码:bv8q)